<?php
/**
 * Get current theme options
 * 
 * @return array
 */
function aletheme_get_options() {
	$comments_style = array(
		'wp'  => 'Alethemes Comments',
		'fb'  => 'Facebook Comments',
		'dq'  => 'DISQUS',
		'lf'  => 'Livefyre',
		'off' => 'Disable All Comments',
	);

    $analytics = array(
        'classic'  => 'Classic Analytics',
        'universal'  => 'Universal Analytics',
    );

    $headerfont = array_merge(ale_get_safe_webfonts(), ale_get_google_webfonts());

    $background_defaults = array(
        'color' => '',
        'image' => '',
        'repeat' => 'repeat',
        'position' => 'top center',
        'attachment'=>'scroll'
    );

	
	$imagepath =  ALETHEME_URL . '/assets/images/';
	
	$options = array();
		
	$options[] = array("name" => "Theme",
						"type" => "heading");

    $options[] = array( "name" => "Site Logo",
                        "desc" => "Upload or put the site logo link (Default logo size: 130-36px)",
                        "id" => "ale_sitelogo",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( 'name' => "Manage Background",
                        'desc' => "Select the background color, or upload a custom background image. Default background is the #f5f5f5 color",
                        'id' => 'ale_background',
                        'std' => $background_defaults,
                        'type' => 'background');

    $options[] = array( "name" => "Background Size Cover",
                        "desc" => "Check if you want to select cover background size",
                        "id" => "ale_backcover",
                        "std" => "1",
                        "type" => "checkbox");

    $options[] = array( "name" => "Uplaod a favicon icon",
                        "desc" => "Upload or put the link of your favicon icon",
                        "id" => "ale_favicon",
                        "std" => "",
                        "type" => "upload");

	$options[] = array( "name" => "Comments Style",
						"desc" => "Choose your comments style. If you want to use DISQUS comments please install and activate this plugin from <a href=\"" . admin_url('plugin-install.php?tab=search&type=term&s=Disqus+Comment+System&plugin-search-input=Search+Plugins') . "\">Wordpress Repository</a>.  If you want to use Livefyre Realtime Comments comments please install and activate this plugin from <a href=\"" . admin_url('plugin-install.php?tab=search&type=term&s=Livefyre+Realtime+Comments&plugin-search-input=Search+Plugins') . "\">Wordpress Repository</a>.",
						"id" => "ale_comments_style",
						"std" => "wp",
						"type" => "select",
						"options" => $comments_style);

	$options[] = array( "name" => "AJAX Comments",
						"desc" => "Use AJAX on comments posting (works only with Alethemes Comments selected).",
						"id" => "ale_ajax_comments",
						"std" => "1",
						"type" => "checkbox");

	$options[] = array( "name" => "Social Sharing",
						"desc" => "Enable social sharing for posts.",
						"id" => "ale_social_sharing",
						"std" => "1",
						"type" => "checkbox");

    $options[] = array( "name" => "Copyrights",
                        "desc" => "Your copyright message.",
                        "id" => "ale_copyrights",
                        "std" => "",
                        "type" => "editor");

    $options[] = array( "name" => "Typography",
                        "type" => "heading");

    $options[] = array( "name" => "Select the header Font from Google Library",
                        "desc" => "The default Font is - Open Sans",
                        "id" => "ale_headerfont",
                        "std" => "Open+Sans",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the header Font (Extended) from Google Library",
                        "desc" => "The default Font (extended) is - 300,400",
                        "id" => "ale_headerfontex",
                        "std" => "300,400",
                        "type" => "text",
                        );

    $options[] = array( "name" => "Select the body Font from Google Library",
                        "desc" => "The default Font is - Lora",
                        "id" => "ale_mainfont",
                        "std" => "Lora",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the body Font (Extended) from Google Library",
                        "desc" => "The default Font (extended) is - 400,700",
                        "id" => "ale_mainfontex",
                        "std" => "400,700",
                        "type" => "text",
                        );

    $options[] = array( "name" => "Select the logo Font from Google Library",
                        "desc" => "The default Font is - Playball",
                        "id" => "ale_logofont",
                        "std" => "Playball",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the logo Font (Extended) from Google Library",
                        "desc" => "The default Font (extended) is - 400",
                        "id" => "ale_logofontex",
                        "std" => "400",
                        "type" => "text",);

    $options[] = array( "name" => "Select the contact Font from Google Library",
                        "desc" => "The default Font is - PT Sans",
                        "id" => "ale_contactfont",
                        "std" => "PT+Sans",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the contact Font (Extended) from Google Library",
                        "desc" => "The default Font (extended) is - 300,400",
                        "id" => "ale_contactfontex",
                        "std" => "300,400",
                        "type" => "text",);

    $options[] = array( 'name' => "H1 Style",
                        'desc' => "Change the h1 style",
                        'id' => 'ale_h1sty',
                        'std' => array('size' => '28px','face' => 'Lora','style' => 'normal','color' => '#818181'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H2 Style",
                        'desc' => "Change the h2 style",
                        'id' => 'ale_h2sty',
                        'std' => array('size' => '22px','face' => 'Lora','style' => 'normal','color' => '#818181'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H3 Style",
                        'desc' => "Change the h3 style",
                        'id' => 'ale_h3sty',
                        'std' => array('size' => '18px','face' => 'Lora','style' => 'normal','color' => '#818181'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H4 Style",
                        'desc' => "Change the h4 style",
                        'id' => 'ale_h4sty',
                        'std' => array('size' => '14px','face' => 'Lora','style' => 'normal','color' => '#818181'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H5 Style",
                        'desc' => "Change the h5 style",
                        'id' => 'ale_h5sty',
                        'std' => array('size' => '12px','face' => 'Lora','style' => 'normal','color' => '#818181'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H6 Style",
                        'desc' => "Change the h6 style",
                        'id' => 'ale_h6sty',
                        'std' => array('size' => '10px','face' => 'Lora','style' => 'normal','color' => '#818181'),
                        'type' => 'typography');

    $options[] = array( 'name' => "Body Style",
                        'desc' => "Change the body font style",
                        'id' => 'ale_bodystyle',
                        'std' => array('size' => '14px','face' => 'Lora','style' => 'normal','color' => '#818181'),
                        'type' => 'typography');

	$options[] = array( "name" => "Social",
						"type" => "heading");

    $options[] = array( "name" => "Show RSS",
                        "desc" => "Check if you want to show the RSS icon on your site",
                        "id" => "ale_rssicon",
                        "std" => "1",
                        "type" => "checkbox");

	$options[] = array( "name" => "Facebook Application ID",
						"desc" => "If you have Application ID you can connect the blog to your Facebook Profile and monitor statistics there.",
						"id" => "ale_fb_id",
						"std" => "",
						"type" => "text");
	
	$options[] = array( "name" => "Enable Open Graph",
						"desc" => "The <a href=\"http://www.ogp.me/\">Open Graph</a> protocol enables any web page to become a rich object in a social graph.",
						"id" => "ale_og_enabled",
						"std" => "",
						"type" => "checkbox");

	$options[] = array( "name" => "Advanced Settings",
						"type" => "heading");

    $options[] = array( "name" => "Google Analytics Type",
                        "desc" => "Select the google analytics code type. Universal or Classic (The difference between versions you will find in google)",
                        "id" => "ale_analyticstype",
                        "std" => "classic",
                        "type" => "select",
                        "options" => $analytics);
	
	$options[] = array( "name" => "Google Analytics",
						"desc" => "Please insert your Google Analytics code here. Example: <strong>UA-22231623-1</strong>",
						"id" => "ale_ga",
						"std" => "",
						"type" => "text");
	
	$options[] = array( "name" => "Footer Code",
						"desc" => "If you have anything else to add in the footer - please add it here.",
						"id" => "ale_footer_info",
						"std" => "",
						"type" => "textarea");

    $options[] = array( "name" => "Custom CSS Styles",
                        "desc" => "You can add here your styles. ex. .boxclass { padding:10px; }",
                        "id" => "ale_customcsscode",
                        "std" => "",
                        "type" => "textarea");

    $options[] = array( "name" => "Labels",
                        "type" => "heading");

    $options[] = array( "name" => "First label",
                        "desc" => "Insert the label title",
                        "id" => "ale_firstlabel",
                        "std" => "fashion style",
                        "type" => "text");

    $options[] = array( "name" => "Second label",
                        "desc" => "Insert the label title",
                        "id" => "ale_secondlabel",
                        "std" => "fashion lable",
                        "type" => "text");

    $options[] = array( "name" => "Link for second label",
                        "desc" => "Insert the Url",
                        "id" => "ale_secondlabelurl",
                        "std" => "",
                        "type" => "text");

    $options[] = array( "name" => "Latest posts",
                        "type" => "heading");

    $options[] = array( "name" => "Title of the News block",
                        "desc" => "Insert the title",
                        "id" => "ale_blognewstitle",
                        "std" => "Latest news",
                        "type" => "text");

    $options[] = array( "name" => "Title of the Events block",
                        "desc" => "Insert the title",
                        "id" => "ale_blogeventstitle",
                        "std" => "Latest events",
                        "type" => "text");

    $options[] = array( "name" => "Title of the Press block",
                        "desc" => "Insert the title",
                        "id" => "ale_blogpresstitle",
                        "std" => "Press",
                        "type" => "text");


    $options[] = array( "name" => "Footer",
                        "type" => "heading");

    $options[] = array( "name" => "Title",
                        "desc" => "Insert the title",
                        "id" => "ale_footetitle",
                        "std" => "Senorita Colections",
                        "type" => "text");

    $options[] = array( "name" => "Address",
                        "desc" => "Insert the address",
                        "id" => "ale_address",
                        "std" => "5512 Lorem Ipsum Vestibulum Molesqu, Dolor Sit Amet, Egestas 666 69",
                        "type" => "text");

    $options[] = array( "name" => "Email",
                        "desc" => "Insert the email address",
                        "id" => "ale_email",
                        "std" => "mail@compname.com",
                        "type" => "text");

    $options[] = array( "name" => "Phone",
                        "desc" => "Insert the phone number",
                        "id" => "ale_phone",
                        "std" => "+1 800 450 6935",
                        "type" => "text");

    $options[] = array( "name" => "Blog",
                        "type" => "heading");

    $options[] = array( "name" => "Description",
                        "desc" => "Insert the description",
                        "id" => "ale_blogdesc",
                        "std" => "Seniorita was founded with the goal of offering the modern working woman the best fitting dress she's ever worn to the office (whatever that \"office\" is) and afterwards (wherever the night may take her), the most efficient on-line shopping experience, and the perfect place to connect with other multitasking women.",
                        "type" => "textarea");

    $options[] = array( "name" => "Text",
                        "desc" => "Insert the text",
                        "id" => "ale_blogtext",
                        "std" => "Conceived and manufactured in New York City, our metropolitan style suits smart and sexy women the world over. The line consists of cleanly cut, comfortable and sophisticated dresses that instantly transform from office wear to a playful uniform for post work revelry.",
                        "type" => "textarea");

    $options[] = array( "name" => "Display or hide \"News, Events and Press\" on Blog page",
                        "desc" => "Select enable to show the blog box",
                        "id"   => "ale_blogbox",
                        "std"  => "on",
                        "type"    => "select",
                        "options" => array(
                            "on" => "Enable",
                            "off" =>  "Disable",
                        ),);


    $options[] = array( "name" => "Single blog page",
                        "id" => "ale_blogsingle",
                        "type" => "Title");

    $options[] = array( "name" => "Title",
                        "desc" => "Insert the title",
                        "id" => "ale_blogsingletitle",
                        "std" => "Cashmere tartan",
                        "type" => "text");

    $options[] = array( "name" => "Text",
                        "desc" => "Insert the text",
                        "id" => "ale_blogsingletext",
                        "std" => "Conceived and manufactured in New York City, our metropolitan style suits smart and sexy women the world over. The line consists of cleanly cut, comfortable and sophisticated dresses that instantly transform from office wear to a playful uniform for post work revelry.",
                        "type" => "text");

    $options[] = array( "name" => "History",
                        "type" => "heading");

    $options[] = array( "name" => "Description",
                        "desc" => "Insert the description",
                        "id" => "ale_historydesc",
                        "std" => "Seniorita was founded with the goal of offering the modern working woman the best fitting dress she's ever worn to the office (whatever that \"office\" is) and afterwards (wherever the night may take her), the most efficient on-line shopping experience, and the perfect place to connect with other multitasking women.",
                        "type" => "textarea");

    $options[] = array( "name" => "Text",
                        "desc" => "Insert the text",
                        "id" => "ale_historytext",
                        "std" => "Conceived and manufactured in New York City, our metropolitan style suits smart and sexy women the world over. The line consists of cleanly cut, comfortable and sophisticated dresses that instantly transform from office wear to a playful uniform for post work revelry.",
                        "type" => "textarea");

    $options[] = array( "name" => "Subtitle",
                        "desc" => "Insert the Subtitle",
                        "id" => "ale_historysubtitle",
                        "std" => "where and how our story begins",
                        "type" => "text");

    $options[] = array( "name" => "Top post description",
                        "desc" => "Insert the description",
                        "id" => "ale_historytopdescription",
                        "std" => "Il marchio Senorita nasce nel 1962 grazie all’imprenditore Arnaldo Girombelli: il nome identifica inizialmente una produzione artigianale di gonne e camicette, che venivano vendute esclusivamente nella sua boutique nel centro di Ancona.",
                        "type" => "textarea");

    $options[] = array( "name" => "Bottom page text",
                        "desc" => "Insert the text",
                        "id" => "ale_historybottomtext",
                        "std" => "Il primo stabilimento produttivo sorge nel 1968. Altra data che segna un momento storico nella vita del marchio è il 1973, anno in cui lo stilista di Genny diventa un giovane Gianni Versace, destinato ad entrare nell’Olimpo della moda italiana. Numerosi talenti artistici si alterneranno nei decenni a seguire: Claude Montana, Keith Varty, Alan Cleaver, Dolce e Gabbana, Christian Lacroix, Rebecca Moses, John Bartlett, Richard Tyler e Josephus Thimister. L’azienda proprietaria diventa una holding, accentuando maggiormente il suo carattere internazionale. Con la scomparsa del marito, Donatella Girombelli assume la direzione del marchio, seguendone anche l’evoluzione nello stile.",
                        "type" => "textarea");

    $options[] = array( "name" => "Shop",
                        "type" => "heading");

    $options[] = array( "name" => "Description",
                        "desc" => "Insert the description",
                        "id" => "ale_shopdesc",
                        "std" => "Seniorita was founded with the goal of offering the modern working woman the best fitting dress she's ever worn to the office (whatever that \"office\" is) and afterwards (wherever the night may take her), the most efficient on-line shopping experience, and the perfect place to connect with other multitasking women.",
                        "type" => "textarea");

    $options[] = array( "name" => "Text",
                        "desc" => "Insert the text",
                        "id" => "ale_shoptext",
                        "std" => "Conceived and manufactured in New York City, our metropolitan style suits smart and sexy women the world over. The line consists of cleanly cut, comfortable and sophisticated dresses that instantly transform from office wear to a playful uniform for post work revelry.",
                        "type" => "textarea");


    $options[] = array( "name" => "Collection",
                        "type" => "heading");

    $options[] = array( "name" => "Collection name",
                        "desc" => "Insert the Name of your collection",
                        "id" => "ale_blogname",
                        "std" => "Shop the collection",
                        "type" => "text");

    $options[] = array( "name" => "Collection Url",
                        "desc" => "Insert the Url to your collection",
                        "id" => "ale_blogurl",
                        "std" => "",
                        "type" => "text");

    return $options;
}

/**
 * Add custom scripts to Options Page
 */
function aletheme_options_custom_scripts() {
 ?>

<script type="text/javascript">
jQuery(document).ready(function() {
    jQuery('#ale_commentongallery').click(function() {
        jQuery('#section-ale_gallerycomments_style').fadeToggle(400);
    });
    if (jQuery('#ale_commentongallery:checked').val() !== undefined) {
        jQuery('#section-ale_gallerycomments_style').show();
    }
});
</script>

<?php
}

/**
 * Add Metaboxes
 * @param array $meta_boxes
 * @return array 
 */
function aletheme_metaboxes($meta_boxes) {
	
	$meta_boxes = array();

    $prefix = "ale_";


    $meta_boxes[] = array(
        'id'         => 'home_page_metabox',
        'title'      => 'Home Page Options',
        'pages'      => array( 'page', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'show_on'    => array( 'key' => 'page-template', 'value' => array('page-home.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'Display or hide Boxes on Home page',
                'desc' => '',
                'id'   => $prefix . 'displayonhome',
                'type'    => 'title',
            ),
            array(
                'name' => 'Show The Slider Box?',
                'desc' => 'Select enable to show the Slider box',
                'id'   => $prefix . 'sliderhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The Collection Box?',
                'desc' => 'Select enable to show the Collection box',
                'id'   => $prefix . 'colectionshome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The "About Us" Box?',
                'desc' => 'Select enable to show the "About Us" box',
                'id'   => $prefix . 'aboutushome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The Tabs Box?',
                'desc' => 'Select enable to show the Tabs box',
                'id'   => $prefix . 'tabshome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The Portfolio Box?',
                'desc' => 'Select enable to show the Portfolio box',
                'id'   => $prefix . 'portfoliohome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The "News, events and press" Box?',
                'desc' => 'Select enable to show the "News, events and press" box',
                'id'   => $prefix . 'allhome',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Contacts',
                'desc' => '',
                'id'   => $prefix . 'homecontacts',
                'type' => 'title',
            ),
            array(
                'name' => 'View more',
                'desc' => 'Insert the url',
                'id'   => $prefix . 'homecontactsviewmore',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Colections',
                'desc' => '',
                'id'   => $prefix . 'homecollections',
                'type' => 'title',
            ),
            array(
                'name' => 'Label',
                'desc' => 'Insert the label',
                'id'   => $prefix . 'homecollectionsteamlabel',
                'std'  => 'fashion style',
                'type' => 'text',
            ),
            array(
                'name' => 'Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'homecollectionstitle',
                'std'  => 'Senorita Colections',
                'type' => 'text',
            ),
            array(
                'name' => 'Sub title',
                'desc' => 'Insert the sub title',
                'id'   => $prefix . 'homecollectionssubtitle',
                'std'  => 'Lorem ipsum dolor sit amet, consectetur adipiscing elitAliquam vitae scelerisque magna.',
                'type' => 'text',
            ),
            array(
                'name' => 'About us',
                'desc' => '',
                'id'   => $prefix . 'homeaboutus',
                'type' => 'title',
            ),
            array(
                'name' => 'Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'homeaboutustitle',
                'std'  => 'About us',
                'type' => 'text',
            ),
            array(
                'name' => 'Description',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'homeaboutusdescription',
                'std'  => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 1 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'homeaboutustitle1',
                'std'  => 'Our studio',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 1 Sub Title',
                'desc' => 'Insert the sub title',
                'id'   => $prefix . 'homeaboutussubtitle1',
                'std'  => 'About us',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 1 Image',
                'desc' => 'Upload an image',
                'id'   => $prefix . 'homeaboutusimage1',
                'type' => 'file',
            ),
            array(
                'name' => 'Nr. 1 Link',
                'desc' => 'Insert the Url',
                'id'   => $prefix . 'homeaboutusurl1',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 2 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'homeaboutustitle2',
                'std'  => 'Our studio',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 2 Sub Title',
                'desc' => 'Insert the sub title',
                'id'   => $prefix . 'homeaboutussubtitle2',
                'std'  => 'About us',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 2 Image',
                'desc' => 'Upload an image',
                'id'   => $prefix . 'homeaboutusimage2',
                'type' => 'file',
            ),
            array(
                'name' => 'Nr. 2 Link',
                'desc' => 'Insert the Url',
                'id'   => $prefix . 'homeaboutusurl2',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 3 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'homeaboutustitle3',
                'std'  => 'Our studio',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 3 Sub Title',
                'desc' => 'Insert the sub title',
                'id'   => $prefix . 'homeaboutussubtitle3',
                'std'  => 'About us',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 3 Image',
                'desc' => 'Upload an image',
                'id'   => $prefix . 'homeaboutusimage3',
                'type' => 'file',
            ),
            array(
                'name' => 'Nr. 3 Link',
                'desc' => 'Insert the Url',
                'id'   => $prefix . 'homeaboutusurl3',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 4 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'homeaboutustitle4',
                'std'  => 'Our studio',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 4 Sub Title',
                'desc' => 'Insert the sub title',
                'id'   => $prefix . 'homeaboutussubtitle4',
                'std'  => 'About us',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 4 Image',
                'desc' => 'Upload an image',
                'id'   => $prefix . 'homeaboutusimage4',
                'type' => 'file',
            ),
            array(
                'name' => 'Nr. 4 Link',
                'desc' => 'Insert the Url',
                'id'   => $prefix . 'homeaboutusurl4',
                'type' => 'text',
            ),
            array(
                'name' => 'Tabs',
                'desc' => '',
                'id'   => $prefix . 'tabs',
                'type' => 'title',
            ),
            array(
                'name' => 'Count of tabs',
                'desc' => 'Insert a count of tabs',
                'id'   => $prefix . 'tabscount',
                'std'  => '3',
                'type' => 'text',
            ),
            array(
                'name' => 'Portfolio',
                'desc' => '',
                'id'   => $prefix . 'homeportfolio',
                'type' => 'title',
            ),
            array(
                'name' => 'Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'homeportfoliotitle',
                'std'  => 'Portfolio',
                'type' => 'text',
            ),
        )
    );
    $meta_boxes[] = array(
        'id'         => 'slider_metabox',
        'title'      => 'Slider Options',
        'pages'      => array( 'slider', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => 'Logo title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'sliderlogotitle',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Logo Sub title',
                'desc' => 'Insert the sub title',
                'id'   => $prefix . 'sliderlogosubtitle',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Sub title',
                'desc' => 'Insert the sub title',
                'id'   => $prefix . 'slidersubtitle',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'View the lookbook',
                'desc' => 'Insert the Url',
                'id'   => $prefix . 'sliderlookbook',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Shop the collection',
                'desc' => 'Insert the Url',
                'id'   => $prefix . 'slidercollection',
                'std'  => '',
                'type' => 'text',
            ),
        )
    );
    $meta_boxes[] = array(
        'id'         => 'portfolio_metabox',
        'title'      => 'Portfolio Options',
        'pages'      => array( 'portfolio', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => 'Video',
                'desc' => 'Insert the Url',
                'id'   => $prefix . 'portfoliovideo',
                'std'  => '',
                'type' => 'text',
            ),
        )
    );
    $meta_boxes[] = array(
        'id'         => 'team_metabox',
        'title'      => 'Team Options',
        'pages'      => array( 'team', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => 'Label',
                'desc' => 'Insert the label',
                'id'   => $prefix . 'teamlabel',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Title for gallery',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'teamgaltitle',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'teamtitle',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Description',
                'desc' => 'Insert the description',
                'id'   => $prefix . 'teamdescription',
                'std'  => '',
                'type' => 'textarea',
            ),
            array(
                'name' => 'Email',
                'desc' => 'Insert the email address',
                'id'   => $prefix . 'teamemail',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Phone',
                'desc' => 'Insert the phone number',
                'id'   => $prefix . 'teamphone',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Skype',
                'desc' => 'Insert the profile name',
                'id'   => $prefix . 'teamskype',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Facebook',
                'desc' => 'Insert the profile name',
                'id'   => $prefix . 'teamsfacebook',
                'std'  => '',
                'type' => 'text',
            ),
        )
    );
    $meta_boxes[] = array(
        'id'         => 'history_metabox',
        'title'      => 'History Options',
        'pages'      => array( 'history' ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => 'Year',
                'desc' => 'Insert the year',
                'id'   => $prefix . 'histiryyear',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Word after Year',
                'desc' => 'Insert  a word',
                'id'   => $prefix . 'histiryword',
                'std'  => '',
                'type' => 'text',
            ),
        )
    );
    $meta_boxes[] = array(
        'id'         => 'contact_page_metabox',
        'title'      => 'Contact Page Options',
        'pages'      => array( 'page' ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'show_on'    => array( 'key' => 'page-template', 'value' => array('template-contact.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'Display or hide Boxes on Contact page',
                'desc' => '',
                'id'   => $prefix . 'displayoncontact',
                'type'    => 'title',
            ),
            array(
                'name' => 'Show The Map Box?',
                'desc' => 'Select enable to show the Map box',
                'id'   => $prefix . 'mapcontact',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The Tabs Box?',
                'desc' => 'Select enable to show the Tabs box',
                'id'   => $prefix . 'tabscontact',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Description',
                'desc' => 'Insert the description',
                'id'   => $prefix . 'contactdesc',
                'std'  => 'Seniorita was founded with the goal of offering the modern working woman the best fitting dress she\'s ever worn to the office (whatever that "office" is) and afterwards (wherever the night may take her), the most efficient on-line shopping experience, and the perfect place to connect with other multitasking women.',
                'type' => 'textarea',
            ),
            array(
                'name' => 'Text',
                'desc' => 'Insert the text',
                'id'   => $prefix . 'contacttext',
                'std'  => 'Conceived and manufactured in New York City, our metropolitan style suits smart and sexy women the world over. The line consists of cleanly cut, comfortable and sophisticated dresses that instantly transform from office wear to a playful uniform for post work revelry.',
                'type' => 'textarea',
            ),
            array(
                'name' => 'Collection',
                'desc' => 'Insert the Url to your collection',
                'id'   => $prefix . 'contacturl',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Contact title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'contacttitle',
                'std'  => 'Si?ge social',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 1 Phone',
                'desc' => 'Insert the phone number',
                'id'   => $prefix . 'contactphone1',
                'std'  => '450.967.7827',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 2 Phone',
                'desc' => 'Insert the phone number',
                'id'   => $prefix . 'contactphone2',
                'std'  => '1(800)361-1978',
                'type' => 'text',
            ),
            array(
                'name' => 'Email',
                'desc' => 'Insert the email address',
                'id'   => $prefix . 'contactemail',
                'std'  => 'contact@m2bdistribution.com',
                'type' => 'text',
            ),
            array(
                'name' => 'Skype',
                'desc' => 'Insert the profile name',
                'id'   => $prefix . 'contactskype',
                'std'  => 'contact3489',
                'type' => 'text',
            ),
            array(
                'name' => 'Facebook',
                'desc' => 'Insert the profile name',
                'id'   => $prefix . 'contactsfacebook',
                'std'  => 'facebook.com',
                'type' => 'text',
            ),
            array(
                'name' => 'Address',
                'desc' => 'Insert the address',
                'id'   => $prefix . 'contactsaddress',
                'std'  => '600 boul. St-Martin Ouest',
                'type' => 'text',
            ),
            array(
                'name' => 'City',
                'desc' => 'Insert the city',
                'id'   => $prefix . 'contactscity',
                'std'  => 'Laval, Québec, H7M 6A8',
                'type' => 'text',
            ),
            array(
                'name' => 'Country',
                'desc' => 'Insert the country',
                'id'   => $prefix . 'contactscountry',
                'std'  => 'Italy',
                'type' => 'text',
            ),
            array(
                'name' => 'Tabs',
                'desc' => '',
                'id'   => $prefix . 'tabs',
                'type' => 'title',
            ),
            array(
                'name' => 'Count of tabs',
                'desc' => 'Insert a count of tabs',
                'id'   => $prefix . 'tabscount',
                'std'  => '3',
                'type' => 'text',
            ),
        )
    );
    $meta_boxes[] = array(
        'id'         => 'about_page_metabox',
        'title'      => 'About Page Options',
        'pages'      => array( 'page' ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'show_on'    => array( 'key' => 'page-template', 'value' => array('template-about.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'Display or hide Boxes on About page',
                'desc' => '',
                'id'   => $prefix . 'displayonabout',
                'type'    => 'title',
            ),
            array(
                'name' => 'Show The "About Us" Box?',
                'desc' => 'Select enable to show the "About Us" box',
                'id'   => $prefix . 'aboutusabout',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The "Tabs" Box?',
                'desc' => 'Select enable to show the "Tabs" box',
                'id'   => $prefix . 'tabsabout',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The "What we do" Box?',
                'desc' => 'Select enable to show the "What we do" box',
                'id'   => $prefix . 'whatwydoabout',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Description',
                'desc' => 'Insert the description',
                'id'   => $prefix . 'aboutdesc',
                'std'  => 'Seniorita was founded with the goal of offering the modern working woman the best fitting dress she\'s ever worn to the office (whatever that "office" is) and afterwards (wherever the night may take her), the most efficient on-line shopping experience, and the perfect place to connect with other multitasking women.',
                'type' => 'textarea',
            ),
            array(
                'name' => 'Text',
                'desc' => 'Insert the text',
                'id'   => $prefix . 'abouttext',
                'std'  => 'Conceived and manufactured in New York City, our metropolitan style suits smart and sexy women the world over. The line consists of cleanly cut, comfortable and sophisticated dresses that instantly transform from office wear to a playful uniform for post work revelry.',
                'type' => 'textarea',
            ),
            array(
                'name' => 'Collection',
                'desc' => 'Insert the Url to your collection',
                'id'   => $prefix . 'abouturl',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Our studio',
                'id'   => $prefix . 'aboutourstudio',
                'type' => 'title',
            ),
            array(
                'name' => 'Nr. 1 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'aboutourstudiotitle1',
                'std'  => 'Our studio',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 1 Sub Title',
                'desc' => 'Insert the sub title',
                'id'   => $prefix . 'aboutourstudiosubtitle1',
                'std'  => 'About us',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 1 Image',
                'desc' => 'Upload an image',
                'id'   => $prefix . 'aboutourstudioimage1',
                'type' => 'file',
            ),
            array(
                'name' => 'Nr. 1 Link',
                'desc' => 'Insert the Url',
                'id'   => $prefix . 'aboutourstudiourl1',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 2 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'aboutourstudiotitle2',
                'std'  => 'Our studio',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 2 Sub Title',
                'desc' => 'Insert the sub title',
                'id'   => $prefix . 'aboutourstudiosubtitle2',
                'std'  => 'About us',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 2 Image',
                'desc' => 'Upload an image',
                'id'   => $prefix . 'aboutourstudioimage2',
                'type' => 'file',
            ),
            array(
                'name' => 'Nr. 2 Link',
                'desc' => 'Insert the Url',
                'id'   => $prefix . 'aboutourstudiourl2',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 3 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'aboutourstudiotitle3',
                'std'  => 'Our studio',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 3 Sub Title',
                'desc' => 'Insert the sub title',
                'id'   => $prefix . 'aboutourstudiosubtitle3',
                'std'  => 'About us',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 3 Image',
                'desc' => 'Upload an image',
                'id'   => $prefix . 'aboutourstudioimage3',
                'type' => 'file',
            ),
            array(
                'name' => 'Nr. 3 Link',
                'desc' => 'Insert the Url',
                'id'   => $prefix . 'aboutourstudiourl3',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 4 Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'aboutourstudiotitle4',
                'std'  => 'Our studio',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 4 Sub Title',
                'desc' => 'Insert the sub title',
                'id'   => $prefix . 'aboutourstudiosubtitle4',
                'std'  => 'About us',
                'type' => 'text',
            ),
            array(
                'name' => 'Nr. 4 Image',
                'desc' => 'Upload an image',
                'id'   => $prefix . 'aboutourstudioimage4',
                'type' => 'file',
            ),
            array(
                'name' => 'Nr. 4 Link',
                'desc' => 'Insert the Url',
                'id'   => $prefix . 'aboutourstudiourl4',
                'type' => 'text',
            ),
            array(
                'name' => 'Text',
                'desc' => 'Insert the text',
                'id'   => $prefix . 'aboutourstudiotext',
                'std'  => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages. Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged.',
                'type' => 'text',
            ),
            array(
                'name' => 'Our team',
                'id'   => $prefix . 'ourteam',
                'type' => 'title',
            ),
            array(
                'name' => 'Title',
                'desc' => 'insert the title',
                'id'   => $prefix . 'ourteamtitle',
                'std'  => 'Our team',
                'type' => 'text',
            ),
            array(
                'name' => 'Count of tabs',
                'desc' => 'Insert a count of tabs',
                'id'   => $prefix . 'tabscount',
                'std'  => '3',
                'type' => 'text',
            ),
            array(
                'name' => 'What we do',
                'id'   => $prefix . 'whatwedo',
                'type' => 'title',
            ),
            array(
                'name' => 'Title',
                'desc' => 'insert the title',
                'id'   => $prefix . 'whatwedotitle',
                'std'  => 'What we do',
                'type' => 'text',
            ),
        )
    );
    $meta_boxes[] = array(
        'id'         => 'whatwedo_metabox',
        'title'      => 'What we do Options',
        'pages'      => array( 'whatwedo' ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => 'Short Description',
                'desc' => 'Insert the description',
                'id'   => $prefix . 'whatwedodescription',
                'std'  => '',
                'type' => 'text',
            ),
        )
    );
    $meta_boxes[] = array(
        'id'         => 'collection_page_metabox',
        'title'      => 'Collection Page Options',
        'pages'      => array( 'page' ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'show_on'    => array( 'key' => 'page-template', 'value' => array('template-collection.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'Display or hide Boxes on Collection page',
                'desc' => '',
                'id'   => $prefix . 'displayoncollection',
                'type'    => 'title',
            ),
            array(
                'name' => 'Show The "Shop categories" Box?',
                'desc' => 'Select enable to show the "Shop categories" box',
                'id'   => $prefix . 'collectionshopact',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The "Shop products" Box?',
                'desc' => 'Select enable to show the "Shop products" box',
                'id'   => $prefix . 'collectionshopprod',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Description',
                'desc' => 'Insert the description',
                'id'   => $prefix . 'collectiondesc',
                'std'  => 'Seniorita was founded with the goal of offering the modern working woman the best fitting dress she\'s ever worn to the office (whatever that "office" is) and afterwards (wherever the night may take her), the most efficient on-line shopping experience, and the perfect place to connect with other multitasking women.',
                'type' => 'textarea',
            ),
            array(
                'name' => 'Text',
                'desc' => 'Insert the text',
                'id'   => $prefix . 'collectiontext',
                'std'  => 'Conceived and manufactured in New York City, our metropolitan style suits smart and sexy women the world over. The line consists of cleanly cut, comfortable and sophisticated dresses that instantly transform from office wear to a playful uniform for post work revelry.',
                'type' => 'textarea',
            ),
            array(
                'name' => 'Collection',
                'desc' => 'Insert the Url to your collection',
                'id'   => $prefix . 'collectionurl',
                'std'  => '',
                'type' => 'text',
            ),
            array(
                'name' => 'Title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'collectiontitle',
                'std'  => 'Collection fall winter 2013-14 genny',
                'type' => 'text',
            ),
            array(
                'name' => 'Category slug',
                'desc' => 'Insert the category slug',
                'id'   => $prefix . 'collectioncatname',
                'std'  => '',
                'type' => 'text',
            ),
        )
    );



    return $meta_boxes;
}

/**
 * Get image sizes for images
 * 
 * @return array
 */
function aletheme_get_images_sizes() {
    return array(

        'portfolio' => array(
            array(
                'name'      => 'portfolio-thumba',
                'width'     => 430,
                'height'    => 267,
                'crop'      => true,
            ),
            array(
                'name'      => 'portfolio-itembig',
                'width'     => 539,
                'height'    => 327,
                'crop'      => true,
            ),
            array(
                'name'      => 'portfolio-item',
                'width'     => 270,
                'height'    => 327,
                'crop'      => true,
            ),
            array(
                'name'      => 'portfolio-thumb',
                'width'     => 316,
                'height'    => 361,
                'crop'      => true,
            ),
            array(
                'name'      => 'portfolio-big',
                'width'     => 1920,
                'height'    => 351,
                'crop'      => true,
            ),
            array(
                'name'      => 'portfolio-medium',
                'width'     => 415,
                'height'    => '',
                'crop'      => true,
            ),
            array(
                'name'      => 'portfolio-small',
                'width'     => 116,
                'height'    => 156,
                'crop'      => true,
            ),
            array(
                'name'      => 'portfolio-search',
                'width'     => 211,
                'height'    => 361,
                'crop'      => true,
            ),
        ),
        'slider' => array(
            array(
                'name'      => 'slider-thumba',
                'width'     => 420,
                'height'    => 1088,
                'crop'      => true,
            ),
        ),
        'product' => array(
            array(
                'name'      => 'product-cat',
                'width'     => 359,
                'height'    => 475,
                'crop'      => true,
            ),
            array(
                'name'      => 'product-big',
                'width'     => 1920,
                'height'    => 351,
                'crop'      => true,
            ),
            array(
                'name'      => 'product-medium',
                'width'     => 415,
                'height'    => '',
                'crop'      => true,
            ),
            array(
                'name'      => 'product-small',
                'width'     => 116,
                'height'    => 156,
                'crop'      => true,
            ),
            array(
                'name'      => 'product-thumba',
                'width'     => 325,
                'height'    => 415,
                'crop'      => true,
            ),
        ),
        'post' => array(
            array(
                'name'      => 'post-big',
                'width'     => 1920,
                'height'    => 351,
                'crop'      => true,
            ),
            array(
                'name'      => 'post-thumba',
                'width'     => 316,
                'height'    => 361,
                'crop'      => true,
            ),
            array(
                'name'      => 'post-medium',
                'width'     => 415,
                'height'    => '',
                'crop'      => true,
            ),
            array(
                'name'      => 'post-small',
                'width'     => 116,
                'height'    => 156,
                'crop'      => true,
            ),
            array(
                'name'      => 'post-search',
                'width'     => 211,
                'height'    => 361,
                'crop'      => true,
            ),
        ),
        'news' => array(
            array(
                'name'      => 'news-thumb',
                'width'     => 316,
                'height'    => 361,
                'crop'      => true,
            ),
            array(
                'name'      => 'news-thumba',
                'width'     => 343,
                'height'    => 206,
                'crop'      => true,
            ),
            array(
                'name'      => 'news-big',
                'width'     => 1920,
                'height'    => 351,
                'crop'      => true,
            ),
            array(
                'name'      => 'news-medium',
                'width'     => 415,
                'height'    => '',
                'crop'      => true,
            ),
            array(
                'name'      => 'news-small',
                'width'     => 116,
                'height'    => 156,
                'crop'      => true,
            ),
            array(
                'name'      => 'news-search',
                'width'     => 211,
                'height'    => 361,
                'crop'      => true,
            ),
        ),
        'events' => array(
            array(
                'name'      => 'events-thumb',
                'width'     => 316,
                'height'    => 361,
                'crop'      => true,
            ),
            array(
                'name'      => 'events-thumba',
                'width'     => 343,
                'height'    => 206,
                'crop'      => true,
            ),
            array(
                'name'      => 'events-big',
                'width'     => 1920,
                'height'    => 351,
                'crop'      => true,
            ),
            array(
                'name'      => 'events-medium',
                'width'     => 415,
                'height'    => '',
                'crop'      => true,
            ),
            array(
                'name'      => 'events-small',
                'width'     => 116,
                'height'    => 156,
                'crop'      => true,
            ),
            array(
                'name'      => 'events-search',
                'width'     => 211,
                'height'    => 361,
                'crop'      => true,
            ),
        ),
        'press' => array(
            array(
                'name'      => 'press-thumb',
                'width'     => 316,
                'height'    => 361,
                'crop'      => true,
            ),
            array(
                'name'      => 'press-thumba',
                'width'     => 343,
                'height'    => 206,
                'crop'      => true,
            ),
            array(
                'name'      => 'press-big',
                'width'     => 1920,
                'height'    => 351,
                'crop'      => true,
            ),
            array(
                'name'      => 'press-medium',
                'width'     => 415,
                'height'    => '',
                'crop'      => true,
            ),
            array(
                'name'      => 'press-small',
                'width'     => 116,
                'height'    => 156,
                'crop'      => true,
            ),
            array(
                'name'      => 'press-search',
                'width'     => 211,
                'height'    => 361,
                'crop'      => true,
            ),
        ),
        'team' => array(
            array(
                'name'      => 'team-thumba',
                'width'     => 82,
                'height'    => 82,
                'crop'      => true,
            ),
            array(
                'name'      => 'team-mini',
                'width'     => 89,
                'height'    => 87,
                'crop'      => true,
            ),
            array(
                'name'      => 'team-medium',
                'width'     => 496,
                'height'    => 538,
                'crop'      => true,
            ),
            array(
                'name'      => 'team-big',
                'width'     => 1920,
                'height'    => 351,
                'crop'      => true,
            ),
            array(
                'name'      => 'team-med',
                'width'     => 415,
                'height'    => '',
                'crop'      => true,
            ),
            array(
                'name'      => 'team-small',
                'width'     => 116,
                'height'    => 156,
                'crop'      => true,
            ),
        ),
        'history' => array(
            array(
                'name'      => 'history-big',
                'width'     => 1078,
                'height'    => 530,
                'crop'      => true,
            ),
            array(
                'name'      => 'history-mini',
                'width'     => 357,
                'height'    => 215,
                'crop'      => true,
            ),
            array(
                'name'      => 'history-thumba',
                'width'     => 415,
                'height'    => '',
                'crop'      => true,
            ),
            array(
                'name'      => 'history-thumb',
                'width'     => 316,
                'height'    => 361,
                'crop'      => true,
            ),
            array(
                'name'      => 'history-small',
                'width'     => 116,
                'height'    => 156,
                'crop'      => true,
            ),
            array(
                'name'      => 'history-bigest',
                'width'     => 1920,
                'height'    => 351,
                'crop'      => true,
            ),
            array(
                'name'      => 'history-medium',
                'width'     => 415,
                'height'    => '',
                'crop'      => true,
            ),
            array(
                'name'      => 'history-search',
                'width'     => 211,
                'height'    => 361,
                'crop'      => true,
            ),
        ),
        'whatwedo' => array(
            array(
                'name'      => 'whatwedo-thumb',
                'width'     => 316,
                'height'    => 361,
                'crop'      => true,
            ),
            array(
                'name'      => 'whatwedo-thumba',
                'width'     => 359,
                'height'    => 475,
                'crop'      => true,
            ),
            array(
                'name'      => 'whatwedo-big',
                'width'     => 1920,
                'height'    => 351,
                'crop'      => true,
            ),
            array(
                'name'      => 'whatwedo-medium',
                'width'     => 415,
                'height'    => '',
                'crop'      => true,
            ),
            array(
                'name'      => 'whatwedo-small',
                'width'     => 116,
                'height'    => 156,
                'crop'      => true,
            ),
            array(
                'name'      => 'whatwedo-search',
                'width'     => 211,
                'height'    => 361,
                'crop'      => true,
            ),
        ),
        'product_cat' => array(
            array(
                'name'      => 'product_cat_1',
                'width'     => 359,
                'height'    => 225,
                'crop'      => true,
            ),
            array(
                'name'      => 'product_cat_2',
                'width'     => 359,
                'height'    => 308,
                'crop'      => true,
            ),
            array(
                'name'      => 'product_cat_3',
                'width'     => 359,
                'height'    => 442,
                'crop'      => true,
            ),
            array(
                'name'      => 'product_cat_4',
                'width'     => 359,
                'height'    => 833,
                'crop'      => true,
            ),
            array(
                'name'      => 'product_cat_home',
                'width'     => 359,
                'height'    => 475,
                'crop'      => true,
            ),
            array(
                'name'      => 'product_cat_collection',
                'width'     => 539,
                'height'    => 703,
                'crop'      => true,
            ),
        ),

    );
}


/**
 * Add post types that are used in the theme 
 * 
 * @return array
 */
function aletheme_get_post_types() {
	return array(
        'portfolio' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Portfolio',
            'multiple' => 'Portfolio',
            'columns'    => array(
                'first_image',
            )
        ),
        'slider' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 21,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Slider',
            'multiple' => 'Slider',
            'columns'    => array(
                'first_image',
            )
        ),
        'news' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 22,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                    'comments',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'News',
            'multiple' => 'News',
            'columns'    => array(
                'first_image',
            )
        ),
        'events' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 23,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                    'comments',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Event',
            'multiple' => 'Events',
            'columns'    => array(
                'first_image',
            )
        ),
        'press' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 24,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                    'comments',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Press',
            'multiple' => 'Press',
            'columns'    => array(
                'first_image',
            )
        ),
        'team' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 25,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                    'comments',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Team',
            'multiple' => 'Team',
            'columns'    => array(
                'first_image',
            )
        ),
        'history' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 25,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                    'comments',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'History',
            'multiple' => 'History',
            'columns'    => array(
                'first_image',
            )
        ),
        'whatwedo' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 26,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                    'comments',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'What we do',
            'multiple' => 'What we do',
            'columns'    => array(
                'first_image',
            )
        ),
    );
}

/**
 * Add taxonomies that are used in theme
 * 
 * @return array
 */
function aletheme_get_taxonomies() {
	return array(

        'portfolio-category'    => array(
            'for'        => array('portfolio'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'Portfolio Category',
            'multiple'    => 'Portfolio Categories',
        ),

        'events-category'    => array(
            'for'        => array('events'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'Event Category',
            'multiple'    => 'Events Categories',
        ),

        'history-category'    => array(
            'for'        => array('history'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'History Category',
            'multiple'    => 'History Categories',
        ),

        'news-category'    => array(
            'for'        => array('news'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'News Category',
            'multiple'    => 'News Categories',
        ),

        'press-category'    => array(
            'for'        => array('press'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'Press Category',
            'multiple'    => 'Press Categories',
        ),

        'whatwedo-category'    => array(
            'for'        => array('whatwedo'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'What we do Category',
            'multiple'    => 'What we do Categories',
        ),
    );
}

/**
 * Add post formats that are used in theme
 * 
 * @return array
 */
function aletheme_get_post_formats() {
	return array();
}

/**
 * Get sidebars list
 * 
 * @return array
 */
function aletheme_get_sidebars() {
	$sidebars = array();
	return $sidebars;
}

/**
 * Predefine custom sliders
 * @return array
 */
function aletheme_get_sliders() {
	return array(
		'sneak-peek' => array(
			'title'		=> 'Sneak Peek',
		),
	);
}

/**
 * Post types where metaboxes should show
 * 
 * @return array
 */
function aletheme_get_post_types_with_gallery() {
	return array('portfolio', 'team', 'post', 'history', 'whatwedo');
}

/**
 * Add custom fields for media attachments
 * @return array
 */
function aletheme_media_custom_fields() {
	return array();
}