<?php
/*
  * Template name: Template Home
  * */
get_header(); ?>

    <aside class="wrap-bar">
        <div class="btn-controls">
            <a href="#" class="btn-controls__scroll scroll-top">&uarr; <?php _e('Scroll to top','aletheme'); ?></a>
            <a href="#" class="btn-controls__hide">&larr; <?php _e('Hide menu','aletheme'); ?></a>
        </div>

        <div class="open-bar">
            <nav class="nav-bar">
                <h2 class="nav-bar__title"><?php _e('Menu','aletheme'); ?></h2>
                <?php
                if ( has_nav_menu( 'home_page_menu' ) ) {
                    wp_nav_menu(array(
                        'theme_location'=> 'home_page_menu',
                        'menu'			=> 'Home page Menu',
                        'menu_class'	=> 'ins-nav-bar',
                        'walker'		=> new Aletheme_Mega_Nav_Walker(),
                        'container'		=> '',
                    ));
                }
                ?>
            </nav>
            <!-- end nav-bar -->

            <div class="bar-contacts">
                <?php if(ale_get_option('address')): ?>
                    <div class="bar-contacts__item">
                        <i class="bar-contacts__icon bar-contacts__icon_address"></i>
                        <?php echo ale_get_option('address'); ?>
                    </div>
                <?php endif; ?>

                <?php if(ale_get_option('email')): ?>
                    <div class="bar-contacts__item">
                        <i class="bar-contacts__icon bar-contacts__icon_email"></i>
                        <?php echo ale_get_option('email'); ?>
                    </div>
                <?php endif; ?>

                <?php if(ale_get_option('phone')): ?>
                    <div class="bar-contacts__item">
                        <i class="bar-contacts__icon bar-contacts__icon_phone"></i>
                        <?php echo ale_get_option('phone'); ?>
                    </div>
                <?php endif; ?>
            </div>
            <!-- end inform contacts -->

            <a href="<?php echo ale_get_meta('homecontactsviewmore'); ?>" class="btn"><?php _e('View more', 'aletheme'); ?></a>
        </div>
        <!-- end open bar -->
    </aside>
    <!-- end wrap aside -->

    <?php if(ale_get_meta('sliderhome') != "off"): ?>
        <?php
        $stickies = get_option('sticky_posts');
        if( $stickies ) {
            $args = array( 'ignore_sticky_posts' => 1, 'post__not_in' => $stickies );
            global $wp_query;
            query_posts( array_merge($wp_query->query, $args , array('posts_per_page' => 4, 'post_type' => 'slider')));
        }else{
            wp_reset_query(); query_posts('&post_type=slider&posts_per_page=4');
        }
        if (have_posts()): ?>
            <div class="wrap-main-slider">
                <ul class="main-slider">
                     <?php while (have_posts()) : the_post(); ?>
                    <li class="main-slider__item main-slider__item_first">
                        <div class="container" <?php
                            if(get_the_post_thumbnail($post->ID,'slider-thumba')){
                                echo 'style="background-image: url('.get_the_post_thumbnail_src(get_the_post_thumbnail($post->ID,'slider-thumba')).')"';
                            }
                        ?>>
                            <div class="ins-container">
                                <div class="slide-content">
                                    <div class="slide-logo">
                                        <h2 class="slide-logo__title"><?php echo ale_get_meta('sliderlogotitle'); ?></h2>
                                        <div class="slide-logo__sub-title"><?php echo ale_get_meta('sliderlogosubtitle'); ?></div>
                                    </div>
                                    <!-- end slide logo -->

                                    <div class="slide-entry">
                                        <header class="slide-entry__header">
                                            <h2 class="slide-entry__title"><?php the_title(); ?></h2><br>
                                            <div class="slider-entry__sub-title"><?php echo ale_get_meta('slidersubtitle'); ?></div>
                                        </header>
                                        <!-- end slide entry header -->

                                        <div class="slide-entry__content">
                                            <?php echo ale_trim_excerpt(18); ?>
                                        </div>
                                        <!-- end slide entry content -->

                                        <footer class="slide-entry__footer">
                                            <a href="<?php echo ale_get_meta('sliderlookbook'); ?>" class="btn"><?php _e('VIEW THE LOOKBOOK','aletheme'); ?></a>
                                            <a href="<?php echo ale_get_meta('slidercollection'); ?>" class="btn"><?php _e('SHOP THE COLLECTION','aletheme'); ?></a>
                                        </footer>
                                        <!-- entry slide entry footer -->
                                    </div>
                                    <!-- end slide entry -->
                                </div>
                                <!-- end slider content -->
                            </div>
                            <!-- end ins container -->
                        </div>
                        <!-- end container -->
                    </li>
                    <!-- end main slider -->
                    <?php endwhile; ?>
                </ul>
                <!-- end main slider -->
            </div>
            <!-- end wrap main slider -->
        <?php endif; wp_reset_query(); ?>
    <?php endif; ?>

    <?php if(ale_get_meta('colectionshome') != "off"): ?>
        <section class="wrap-collection">
            <div class="container">
                <div class="collection collection_home cf">
                    <header class="collection-header">
                        <div class="fashion-style fashion-style"><?php echo ale_get_option('firstlabel') ?></div>
                        <h2 class="collection-header__title"><?php echo ale_get_meta('homecollectionstitle'); ?></h2>
                        <div class="collection-header__sub-title"><?php echo ale_get_meta('homecollectionssubtitle'); ?></div>
                    </header>
                    <!-- end collection header -->
                    <?php if(function_exists('is_woocommerce')): ?>
                        <div class="collection-categories collection-categories_home cf">
                        <?php
                        $args = array(
                            'taxonomy'     => 'product_cat',
                            'orderby'      => 'name',
                            'show_count'   => 0,
                            'pad_counts'   => 0,
                            'hierarchical' => 1,
                            'title_li'     => '',
                            'hide_empty'   => 0
                        );
                        global $image;
                        $all_categories = get_categories( $args );
                        $count = 0;
                        //print_r($all_categories);
                        foreach ($all_categories as $cat) {
                            //print_r($cat);
                            if($cat->category_parent == 0 && $count < 3) {
                                $count++;
                                $category_id = $cat->term_id; ?>

                                    <figure class="collection-category">
                                        <?php
                                        $small_thumbnail_size  	= apply_filters( 'single_product_small_thumbnail_size', 'product_cat_home' );
                                        $dimensions    			= wc_get_image_size( $small_thumbnail_size );
                                        $thumbnail_id  			= get_woocommerce_term_meta( $cat->term_id, 'thumbnail_id', true  );
                                        $image = wp_get_attachment_image_src( $thumbnail_id, $small_thumbnail_size  );
                                        $image = $image[0];
                                        if($image){
                                            echo '<img src="'.$image.'" alt>';
                                        } else{
                                            echo '<img src="http://placehold.it/359x475/f6f4f2/221c1a" alt>';
                                        }
                                        ?>
                                        <div class="wrap-overlay-layer wrap-overlay-layer_aligment">
                                            <div class="overlay-layer">
                                                <div class="ins-overlay-layer">
                                                    <h2 class="collection-category__title"><?php echo $cat->name; ?></h2>
                                                    <a href="<?php echo get_term_link($cat->slug, 'product_cat'); ?>" class="btn"><?php _e('View category','aletheme'); ?></a>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- end wrap overlay layer aligment -->

                                        <figcaption class="wrap-overlay-layer wrap-overlay-layer_content">
                                            <div class="overlay-layer">
                                                <div class="ins-overlay-layer">
                                                    <div class="overlay-content">
                                                        <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>
                                                        <h2 class="overlay-content__title"><?php echo $cat->name; ?></h2>
                                                        <div class="overlay-content__text">
                                                            <p><?php echo $cat->description; ?></p>
                                                        </div>
                                                        <a href="<?php echo get_term_link($cat->slug, 'product_cat'); ?>" class="btn"><?php _e('View category','aletheme'); ?></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </figcaption>
                                        <!-- end wrap overlay layer content -->
                                    </figure>
                                    <!-- end collection category -->

                            <?php }
                        }
                        ?>
                        </div>
                        <!-- end collection categories -->
                    <?php endif; ?>
                </div>
                <!-- end collection / home-->
            </div>
            <!-- end container -->
        </section>
        <!-- end wrap collection -->
    <?php endif; ?>

    <?php if(ale_get_meta('aboutushome') != "off"): ?>
        <section class="wrap-about">
            <div class="container">
                <div class="about about_home">
                    <h2 class="about__main-title container-title_size_big"><?php echo ale_get_meta('homeaboutustitle'); ?></h2>
                    <div class="about__entry">
                        <p><?php echo ale_get_meta('homeaboutusdescription'); ?></p>
                    </div>

                    <div class="about-items about-items_home_padding cf">
                        <figure class="about-item">
                            <?php if(ale_get_meta('homeaboutusimage1')): ?>
                                <img src="<?php echo ale_get_meta('homeaboutusimage1'); ?>" alt="">
                            <?php else: ?>
                                <img src="http://placehold.it/270x372/f6f4f2/221c1a" alt>
                            <?php endif; ?>

                            <div class="wrap-overlay-layer">
                                <div class="overlay-layer">
                                    <div class="ins-overlay-layer">
                                        <div class="about-item__btns">
                                            <a href="<?php echo ale_get_meta('homeaboutusurl1'); ?>" class="about-item__btn"><?php echo ale_get_meta('homeaboutustitle1'); ?></a>
                                            <a href="<?php echo ale_get_meta('homeaboutusurl1'); ?>" class="about-item__btn about-item__btn_hidden"><?php echo ale_get_meta('homeaboutussubtitle1'); ?></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- end wrap overlay layer -->
                        </figure>
                        <!-- end about item -->

                        <figure class="about-item">
                            <?php if(ale_get_meta('homeaboutusimage2')): ?>
                                <img src="<?php echo ale_get_meta('homeaboutusimage2'); ?>" alt="">
                            <?php else: ?>
                                <img src="http://placehold.it/270x372/f6f4f2/221c1a" alt>
                            <?php endif; ?>

                            <div class="wrap-overlay-layer">
                                <div class="overlay-layer">
                                    <div class="ins-overlay-layer">
                                        <div class="about-item__btns">
                                            <a href="<?php echo ale_get_meta('homeaboutusurl2'); ?>" class="about-item__btn"><?php echo ale_get_meta('homeaboutustitle2'); ?></a>
                                            <a href="<?php echo ale_get_meta('homeaboutusurl2'); ?>" class="about-item__btn about-item__btn_hidden"><?php echo ale_get_meta('homeaboutussubtitle2'); ?></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- end wrap overlay layer -->
                        </figure>
                        <!-- end about item -->

                        <figure class="about-item">
                            <?php if(ale_get_meta('homeaboutusimage3')): ?>
                                <img src="<?php echo ale_get_meta('homeaboutusimage3'); ?>" alt="">
                            <?php else: ?>
                                <img src="http://placehold.it/270x372/f6f4f2/221c1a" alt>
                            <?php endif; ?>

                            <div class="wrap-overlay-layer">
                                <div class="overlay-layer">
                                    <div class="ins-overlay-layer">
                                        <div class="about-item__btns">
                                            <a href="<?php echo ale_get_meta('homeaboutusurl3'); ?>" class="about-item__btn"><?php echo ale_get_meta('homeaboutustitle3'); ?></a>
                                            <a href="<?php echo ale_get_meta('homeaboutusurl3'); ?>" class="about-item__btn about-item__btn_hidden"><?php echo ale_get_meta('homeaboutussubtitle3'); ?></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- end wrap overlay layer -->
                        </figure>
                        <!-- end about item -->

                        <figure class="about-item">
                            <?php if(ale_get_meta('homeaboutusimage4')): ?>
                                <img src="<?php echo ale_get_meta('homeaboutusimage4'); ?>" alt="">
                            <?php else: ?>
                                <img src="http://placehold.it/270x372/f6f4f2/221c1a" alt>
                            <?php endif; ?>

                            <div class="wrap-overlay-layer">
                                <div class="overlay-layer">
                                    <div class="ins-overlay-layer">
                                        <div class="about-item__btns">
                                            <a href="<?php echo ale_get_meta('homeaboutusurl4'); ?>" class="about-item__btn"><?php echo ale_get_meta('homeaboutustitle4'); ?></a>
                                            <a href="<?php echo ale_get_meta('homeaboutusurl4'); ?>" class="about-item__btn about-item__btn_hidden"><?php echo ale_get_meta('homeaboutussubtitle4'); ?></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- end wrap overlay layer -->
                        </figure>
                        <!-- end about item -->
                    </div>
                    <!-- end about items -->
                </div>
                <!-- end about -->
            </div>
            <!-- end container -->
        </section>
        <!-- end wrap about -->
    <?php endif; ?>

    <?php if(ale_get_meta('tabshome') != "off"): ?>
        <section class="wrap-team wrap-team_home tabs cf">
            <div class="container">
                <?php
                $post_per_page = ale_get_meta('tabscount');
                $stickies = get_option('sticky_posts');
                if( $stickies ) {
                    $args = array( 'ignore_sticky_posts' => 1, 'post__not_in' => $stickies );
                    global $wp_query;
                    query_posts( array_merge($wp_query->query, $args , array('posts_per_page' => $post_per_page, 'post_type' => 'team')));
                }else{
                    wp_reset_query(); query_posts( array('posts_per_page' => $post_per_page, 'post_type' => 'team'));
                }
                $count_tab = 0;
                if (have_posts()) :  ?>
                    <ul class="people cf">
                        <?php while (have_posts()) : the_post(); $count_tab++; ?>
                            <li class="people__item">
                                <a href="#tab-<?php echo $count_tab; ?>">
                                    <figure class="person">
                                        <div class="person__thumb">
                                            <?php
                                            if(get_the_post_thumbnail($post->ID,'team-thumba')){
                                                echo get_the_post_thumbnail($post->ID,'team-thumba');
                                            } else{
                                                echo '<img src="http://placehold.it/82x82/f6f4f2/221c1a&amp;text=No+image" alt>';
                                            }
                                            ?>
                                        </div>
                                        <!-- end person thumb -->

                                        <figcaption class="person__content">
                                            <h2 class="person__name"><?php the_title();?></h2>
                                            <div class="person__post"><?php echo ale_get_meta('teamlabel'); ?></div>
                                        </figcaption>
                                        <!-- end person content -->
                                    </figure>
                                    <!-- end person -->
                                </a>
                                <!-- end tab 1 -->
                            </li>
                            <!-- end people item -->
                        <?php endwhile; ?>
                    </ul>
                    <!-- end people -->
                <?php endif; wp_reset_query(); ?>
                <?php
                $stickies = get_option('sticky_posts');
                if( $stickies ) {
                    $args = array( 'ignore_sticky_posts' => 1, 'post__not_in' => $stickies );
                    global $wp_query;
                    query_posts( array_merge($wp_query->query, $args ,  array('posts_per_page' => $post_per_page, 'post_type' => 'team')));
                }else{
                    wp_reset_query(); query_posts( array('posts_per_page' => $post_per_page, 'post_type' => 'team'));
                }
                $count_tab = 0; ?>
                <?php $count_tab = 0; if (have_posts()) : while (have_posts()) : the_post(); $count_tab++; ?>
                    <div id="tab-<?php echo $count_tab; ?>" class="person-more person-more_home">
                        <div class="person-more__photo">
                            <?php echo get_the_post_thumbnail($post->ID,'team-medium');?>
                        </div>
                        <!-- end person more photo -->

                        <div class="person-more__content cf">
                            <?php if(ale_get_meta('teamgaltitle')): ?>
                                <h2 class="person-more__main-title"><?php echo ale_get_meta('teamgaltitle'); ?></h2>
                            <?php endif; ?>

                            <div class="person-more__gallery">
                                <?php
                                $args = array(
                                    'post_type' => 'attachment',
                                    'numberposts' => -1,
                                    'post_status' => null,
                                    'order'				=> 'ASC',
                                    'orderby'			=> 'menu_order ID',
                                    'meta_query'		=> array(
                                        array(
                                            'key'		=> '_ale_hide_from_gallery',
                                            'value'		=> 0,
                                            'type'		=> 'DECIMAL',
                                        ),
                                    ),
                                    'post_parent' => $post->ID
                                );
                                $attachments = get_posts( $args );
                                if ( $attachments ) {
                                    foreach ( $attachments as $attachment ) {
                                        echo '<a href="';
                                        echo wp_get_attachment_url( $attachment->ID, 'team-full' );
                                        echo '">'.wp_get_attachment_image( $attachment->ID, 'team-mini' ) . '</a>';
                                    }
                                }
                                ?>

                            </div>
                            <!-- end person gallery -->

                            <span class="person-more__label"><?php echo ale_get_meta('teamlabel'); ?></span>

                            <article class="person-entry">
                                <?php if(ale_get_meta('teamtitle')): ?>
                                    <h2 class="person-entry__title"><?php echo ale_get_meta('teamtitle'); ?></h2>
                                <?php endif; ?>

                                <div class="person-entry__content">
                                    <p><?php echo ale_get_meta('teamdescription'); ?></p>
                                </div>
                                <!-- end person entry content -->

                                <footer class="person-entry__footer">
                                    <div class="group-btns">
                                        <?php if( function_exists('dot_irecommendthis') ) dot_irecommendthis(); ?>

                                        <a href="#" class="group-btn show-share">
                                            <i class="group-btn__icon group-btn__icon_share"></i>
                                            <?php _e('Share', 'aletheme'); ?>
                                        </a>
                                    </div>
                                    <!-- person group btns -->

                                    <div class="social">
                                        <a href="<?php echo ale_get_share('twi'); ?>" onclick="window.open(this.href, 'Share on Facebook', 'width=600,height=300'); return false" class="social-btn social-btn_twitter">Twitter</a>
                                        <a href="<?php echo ale_get_share('trumblr'); ?>" onclick="window.open(this.href, 'Share on Trumblr', 'width=600,height=300'); return false" class="social-btn social-btn_tumblr">Trumblr</a>
                                        <a href="<?php echo ale_get_share('fb'); ?>" onclick="window.open(this.href, 'Share on Facebook', 'width=600,height=300'); return false" class="social-btn social-btn_facebook">Facebook</a>
                                    </div>
                                </footer>
                                <!-- end person entry footer -->
                            </article>
                            <!-- end person entry -->
                        </div>
                        <!-- end person more content -->
                    </div>
                    <!-- end person more / tab 1 -->
                <?php endwhile;  endif; wp_reset_query();?>
            </div>
            <!-- end container -->
        </section>
        <!-- end wrap team -->
    <?php endif; ?>

    <?php if(ale_get_meta('portfoliohome') != "off"): ?>
        <section class="portfolio">
            <div class="container">
                <h2 class="container-title container-title_size_big"><?php echo ale_get_meta('homeportfoliotitle'); ?></h2>

                <div class="portfolio-items cf">
                    <?php
                    $stickies = get_option('sticky_posts');
                    if( $stickies ) {
                        $args = array( 'ignore_sticky_posts' => 1, 'post__not_in' => $stickies );
                        global $wp_query;
                        query_posts( array_merge($wp_query->query, $args , array('posts_per_page' => 8, 'post_type' => 'portfolio')));
                    }else{
                        wp_reset_query(); query_posts('&post_type=portfolio&posts_per_page=8');
                    }
                    $count = 0;
                    if (have_posts()) : while (have_posts()) : the_post(); $count++;
                        if($count <= 2):?>
                            <figure class="portfolio-item portfolio-item_big">
                                <?php
                                if(ale_get_meta('portfoliovideo')){
                                    echo wp_oembed_get(ale_get_meta('portfoliovideo'),array('width'=>'100%','height'=>'360px'));
                                } else if(get_the_post_thumbnail($post->ID,'portfolio-itembig')){
                                    echo get_the_post_thumbnail($post->ID,'portfolio-itembig');
                                } else{
                                    echo '<img src="http://placehold.it/539x327/f6f4f2/221c1a&amp;text=No+image" alt>';
                                }
                                    ?>
                        <?php elseif($count <= 6): ?>
                            <figure class="portfolio-item">
                                <?php
                                if(get_the_post_thumbnail($post->ID,'portfolio-item')){
                                    echo get_the_post_thumbnail($post->ID,'portfolio-item');
                                } else{
                                    echo '<img src="http://placehold.it/270x327/f6f4f2/221c1a&amp;text=No+image" alt>';
                                }
                                ?>
                        <?php endif; ?>
                        <?php if($count <= 6): ?>
                                <figcaption class="wrap-overlay-layer wrap-overlay-layer_content">
                                    <div class="overlay-layer">
                                        <div class="ins-overlay-layer">
                                            <div class="overlay-content">
                                                <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>
                                                <h2 class="overlay-content__title"><?php the_title();?></h2>
                                                <a href="<?php the_permalink();?>" class="btn"><?php _e('Take a look','aletheme'); ?></a>
                                            </div>
                                        </div>
                                    </div>
                                </figcaption>
                                <!-- end wrap overlay layer content -->
                            </figure>
                        <?php endif;?>
                            <!-- end portfolio item -->

                        <?php if($count < 9 && $count > 6): ?>
                            <figure class="portfolio-item portfolio-item_big">
                                <?php
                                if(ale_get_meta('portfoliovideo')){
                                    echo wp_oembed_get(ale_get_meta('portfoliovideo'),array('width'=>'100%','height'=>'360px'));
                                } else if(get_the_post_thumbnail($post->ID,'portfolio-itembig')){
                                    echo get_the_post_thumbnail($post->ID,'portfolio-itembig');
                                } else{
                                    echo '<img src="http://placehold.it/539x327/f6f4f2/221c1a&amp;text=No+image" alt>';
                                }
                                if(!ale_get_meta('portfoliovideo')):
                                ?>
                                <figcaption class="wrap-overlay-layer wrap-overlay-layer_content">
                                    <div class="overlay-layer">
                                        <div class="ins-overlay-layer">
                                            <div class="overlay-content">
                                                <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>
                                                <h2 class="overlay-content__title"><?php the_title();?></h2>
                                                <a href="<?php the_permalink();?>" class="btn"><?php _e('Take a look','aletheme'); ?></a>
                                            </div>
                                        </div>
                                    </div>
                                </figcaption>
                                <!-- end wrap overlay layer content -->
                                <?php endif; ?>
                            </figure>
                        <?php endif; ?>
                    <?php endwhile;  endif; wp_reset_query();?>
                </div>
                <!-- end portfolio items -->
            </div>
            <!-- end container -->
        </section>
        <!-- end wrap portfolio -->
    <?php endif; ?>

    <?php if(ale_get_meta('allhome') != "off"): ?>
        <div class="container">
            <div class="blog-cols">
                <?php
                $stickies = get_option('sticky_posts');
                if( $stickies ) {
                    $args = array( 'ignore_sticky_posts' => 1, 'post__not_in' => $stickies );
                    global $wp_query;
                    query_posts( array_merge($wp_query->query, $args , array('posts_per_page' => 3, 'post_type' => 'news')));
                }else{
                    wp_reset_query(); query_posts('&post_type=news&posts_per_page=3');
                }
                if (have_posts()) : ?>
                    <div class="blog-col">
                        <h2 class="container-title"><?php echo ale_get_option('blognewstitle'); ?></h2>

                        <div class="blog-posts">
                            <?php while (have_posts()) : the_post(); ?>
                                <article class="blog-post blog-post_second-type cf">
                                    <header class="blog-post__header">
                                        <h2 class="blog-post__title">
                                            <a href="<?php the_permalink();?>"><?php the_title();?></a>
                                        </h2>

                                        <time datetime="2014-09-22"><?php the_time('l, F j, Y'); ?></time>
                                    </header>
                                    <!-- end blog post header -->

                                    <div class="blog-post__content cf">
                                        <?php
                                        if(get_the_post_thumbnail($post->ID,'news-thumba')){
                                            echo get_the_post_thumbnail($post->ID,'news-thumba');
                                        } else{
                                            echo '<img src="http://placehold.it/343x206/f6f4f2/221c1a&amp;text=No+image" alt>';
                                        }
                                        ?>
                                        <?php echo ale_trim_excerpt(30); ?>
                                    </div>
                                    <!-- end blog post content -->

                                    <footer class="blog-post__footer cf">
                                        <div class="group-btns">
                                            <?php if( function_exists('dot_irecommendthis') ) dot_irecommendthis(); ?>
                                            <a href="#" class="group-btn show-share">
                                                <i class="group-btn__icon group-btn__icon_share"></i>
                                                <?php _e('Share','aletheme'); ?>
                                            </a>
                                        </div>
                                        <!-- person group btns -->

                                        <div class="social">
                                            <a href="<?php echo ale_get_share('twi'); ?>" onclick="window.open(this.href, 'Share on Twitter', 'width=600,height=300'); return false" class="social-btn social-btn_twitter"><?php _e('Twitter', 'aletheme'); ?></a>
                                            <a href="<?php echo ale_get_share('trumblr'); ?>" onclick="window.open(this.href, 'Share on Trumblr', 'width=600,height=300'); return false" class="social-btn social-btn_tumblr"><?php _e('Trumblr', 'aletheme'); ?></a>
                                            <a href="<?php echo ale_get_share('fb'); ?>" onclick="window.open(this.href, 'Share on Facebook', 'width=600,height=300'); return false" class="social-btn social-btn_facebook"><?php _e('Facebook', 'aletheme'); ?></a>
                                        </div>
                                        <!-- edn social -->
                                    </footer>
                                    <!-- end blog post footer -->
                                </article>
                                <!-- end blog post -->
                            <?php endwhile; ?>
                        </div>
                        <!-- end vlog posts -->
                    </div>
                    <!-- end blog col -->
                <?php endif; wp_reset_query(); ?>

                <?php
                $stickies = get_option('sticky_posts');
                if( $stickies ) {
                    $args = array( 'ignore_sticky_posts' => 1, 'post__not_in' => $stickies );
                    global $wp_query;
                    query_posts( array_merge($wp_query->query, $args , array('posts_per_page' => 3, 'post_type' => 'events')));
                }else{
                    wp_reset_query(); query_posts('&post_type=events&posts_per_page=3');
                }
                if (have_posts()) : ?>
                    <div class="blog-col">
                        <h2 class="container-title"><?php echo ale_get_option('blogeventstitle'); ?></h2>

                        <div class="blog-posts">
                            <?php while (have_posts()) : the_post(); ?>
                                <article class="blog-post blog-post_second-type cf">
                                    <header class="blog-post__header">
                                        <h2 class="blog-post__title">
                                            <a href="<?php the_permalink();?>"><?php the_title();?></a>
                                        </h2>

                                        <time datetime="2014-01-05"><?php the_time('l, F j, Y'); ?></time>
                                    </header>
                                    <!-- end blog post header -->

                                    <div class="blog-post__content cf">
                                        <?php
                                        if(get_the_post_thumbnail($post->ID,'events-thumba')){
                                            echo get_the_post_thumbnail($post->ID,'events-thumba');
                                        } else{
                                            echo '<img src="http://placehold.it/343x206/f6f4f2/221c1a&amp;text=No+image" alt>';
                                        }
                                        ?>
                                        <?php echo ale_trim_excerpt(30); ?>
                                    </div>
                                    <!-- end blog post content -->

                                    <footer class="blog-post__footer cf">
                                        <div class="group-btns">
                                            <?php if( function_exists('dot_irecommendthis') ) dot_irecommendthis(); ?>

                                            <a href="#" class="group-btn show-share">
                                                <i class="group-btn__icon group-btn__icon_share"></i>
                                                <?php _e('Share','aletheme'); ?>
                                            </a>
                                        </div>
                                        <!-- person group btns -->

                                        <div class="social">
                                            <a href="<?php echo ale_get_share('twi'); ?>" onclick="window.open(this.href, 'Share on Twitter', 'width=600,height=300'); return false" class="social-btn social-btn_twitter"><?php _e('Twitter', 'aletheme'); ?></a>
                                            <a href="<?php echo ale_get_share('trumblr'); ?>" onclick="window.open(this.href, 'Share on Trumblr', 'width=600,height=300'); return false" class="social-btn social-btn_tumblr"><?php _e('Trumblr', 'aletheme'); ?></a>
                                            <a href="<?php echo ale_get_share('fb'); ?>" onclick="window.open(this.href, 'Share on Facebook', 'width=600,height=300'); return false" class="social-btn social-btn_facebook"><?php _e('Facebook', 'aletheme'); ?></a>
                                        </div>
                                        <!-- edn social -->
                                    </footer>
                                    <!-- end blog post footer -->
                                </article>
                                <!-- end blog post -->
                            <?php endwhile; ?>
                        </div>
                        <!-- end vlog posts -->
                    </div>
                    <!-- end blog col -->
                <?php endif; wp_reset_query(); ?>

                <?php
                $stickies = get_option('sticky_posts');
                if( $stickies ) {
                    $args = array( 'ignore_sticky_posts' => 1, 'post__not_in' => $stickies );
                    global $wp_query;
                    query_posts( array_merge($wp_query->query, $args , array('posts_per_page' => 3, 'post_type' => 'press')));
                }else{
                    wp_reset_query(); query_posts('&post_type=press&posts_per_page=3');
                }
                if (have_posts()) : ?>
                    <div class="blog-col blog-col_wide-block">
                        <h2 class="container-title"><?php echo ale_get_option('blogpresstitle'); ?></h2>

                        <div class="blog-posts">
                            <?php while (have_posts()) : the_post(); ?>
                                <article class="blog-post blog-post_second-type cf">
                                    <header class="blog-post__header">
                                        <h2 class="blog-post__title">
                                            <a href="<?php the_permalink();?>"><?php the_title();?></a>
                                        </h2>

                                        <time datetime="2014-02-22"><?php the_time('l, F j, Y'); ?></time>
                                    </header>
                                    <!-- end blog post header -->

                                    <div class="blog-post__content cf">
                                        <?php
                                        if(get_the_post_thumbnail($post->ID,'press-thumba')){
                                            echo get_the_post_thumbnail($post->ID,'press-thumba');
                                        } else{
                                            echo '<img src="http://placehold.it/343x206/f6f4f2/221c1a&amp;text=No+image" alt>';
                                        }
                                        ?>
                                        <?php echo ale_trim_excerpt(30); ?>
                                    </div>
                                    <!-- end blog post content -->

                                    <footer class="blog-post__footer cf">
                                        <div class="group-btns">
                                            <?php if( function_exists('dot_irecommendthis') ) dot_irecommendthis(); ?>

                                            <a href="#" class="group-btn show-share">
                                                <i class="group-btn__icon group-btn__icon_share"></i>
                                                <?php _e('Share','aletheme'); ?>
                                            </a>
                                        </div>
                                        <!-- person group btns -->

                                        <div class="social">
                                            <a href="<?php echo ale_get_share('twi'); ?>" onclick="window.open(this.href, 'Share on Twitter', 'width=600,height=300'); return false" class="social-btn social-btn_twitter"><?php _e('Twitter', 'aletheme'); ?></a>
                                            <a href="<?php echo ale_get_share('trumblr'); ?>" onclick="window.open(this.href, 'Share on Trumblr', 'width=600,height=300'); return false" class="social-btn social-btn_tumblr"><?php _e('Trumblr', 'aletheme'); ?></a>
                                            <a href="<?php echo ale_get_share('fb'); ?>" onclick="window.open(this.href, 'Share on Facebook', 'width=600,height=300'); return false" class="social-btn social-btn_facebook"><?php _e('Facebook', 'aletheme'); ?></a>
                                        </div>
                                        <!-- edn social -->
                                    </footer>
                                    <!-- end blog post footer -->
                                </article>
                                <!-- end blog post -->
                            <?php endwhile; ?>
                        </div>
                        <!-- end vlog posts -->
                    </div>
                    <!-- end blog col -->
                <?php endif; wp_reset_query(); ?>
            </div>
            <!-- end blog cols -->
        </div>
        <!-- end container -->
    <?php endif; ?>

<?php get_footer(); ?>