<?php get_header(); ?>
    <section class="heading-container">
        <div class="heading">
            <div class="wrap-pagination">
                <div class="container">
                    <nav class="pagination">
                        <?php echo get_breadcrumbs(); ?>
                    </nav>
                    <!-- end pagination -->

                    <div class="pagination-arrow">&larr;</div>
                </div>
                <!-- end container -->
            </div>
            <!-- end pagination container -->

            <div class="container">
                <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>

                <h1 class="heading__title"><?php wp_title("", true); ?></h1>
                <div class="heading__sub-title"><?php echo ale_get_option('blogdesc'); ?></div>

                <p><?php echo ale_get_option('blogtext'); ?></p>

                <a href="<?php echo ale_get_option('blogurl'); ?>" class="btn"><?php echo ale_get_option('blogname'); ?></a>
            </div>
            <!-- end container -->
        </div>
        <!-- end heading -->
    </section>
    <!-- end heading container -->

    <div class="container container_main">
        <section class="portfolio">
            <div class="container">
                <h2 class="container-title container-title_size_big"><?php echo ale_get_meta('homeportfoliotitle'); ?></h2>

                <div class="portfolio-items cf" id="content">
                    <?php
                    $stickies = get_option('sticky_posts');
                    if( $stickies ) {
                        $args = array( 'ignore_sticky_posts' => 1, 'post__not_in' => $stickies );
                        global $wp_query;
                        query_posts( array_merge($wp_query->query, $args));
                    }
                    $count = 0;
                    if (have_posts()) : while (have_posts()) : the_post(); $count++;
                    if($count <= 2):?>
                    <figure class="portfolio-item portfolio-item_big post">
                        <?php
                        if(get_the_post_thumbnail($post->ID,'portfolio-itembig')){
                            echo get_the_post_thumbnail($post->ID,'portfolio-itembig');
                        } else{
                            echo '<img src="http://placehold.it/539x327/f6f4f2/221c1a&amp;text=No+image" alt>';
                        }
                        ?>
                        <?php elseif($count <= 6): ?>
                        <figure class="portfolio-item">
                            <?php
                            if(get_the_post_thumbnail($post->ID,'portfolio-item')){
                                echo get_the_post_thumbnail($post->ID,'portfolio-item');
                            } else{
                                echo '<img src="http://placehold.it/270x327/f6f4f2/221c1a&amp;text=No+image" alt>';
                            }
                            ?>
                            <?php endif; ?>
                            <?php if($count <=6): ?>
                                <figcaption class="wrap-overlay-layer wrap-overlay-layer_content">
                                    <div class="overlay-layer">
                                        <div class="ins-overlay-layer">
                                            <div class="overlay-content">
                                                <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>
                                                <h2 class="overlay-content__title"><?php the_title();?></h2>
                                                <a href="<?php the_permalink();?>" class="btn"><?php _e('Take a look','aletheme'); ?></a>
                                            </div>
                                        </div>
                                    </div>
                                </figcaption>
                                <!-- end wrap overlay layer content -->
                            <?php endif;?>
                        </figure>
                        <!-- end portfolio item -->

                        <?php if($count < 9 && $count > 6): ?>
                            <figure class="portfolio-item portfolio-item_big">
                                <?php
                                if(ale_get_meta('portfoliovideo')){
                                    echo wp_oembed_get(ale_get_meta('portfoliovideo'),array('width'=>'100%','height'=>'360px'));
                                } else if(get_the_post_thumbnail($post->ID,'portfolio-itembig')){
                                    echo get_the_post_thumbnail($post->ID,'portfolio-itembig');
                                } else{
                                    echo '<img src="http://placehold.it/539x327/f6f4f2/221c1a&amp;text=No+image" alt>';
                                }
                                if(!ale_get_meta('portfoliovideo')):
                                    ?>
                                    <figcaption class="wrap-overlay-layer wrap-overlay-layer_content">
                                        <div class="overlay-layer">
                                            <div class="ins-overlay-layer">
                                                <div class="overlay-content">
                                                    <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>
                                                    <h2 class="overlay-content__title"><?php the_title();?></h2>
                                                    <a href="<?php the_permalink();?>" class="btn"><?php _e('Take a look','aletheme'); ?></a>
                                                </div>
                                            </div>
                                        </div>
                                    </figcaption>
                                    <!-- end wrap overlay layer content -->
                                <?php endif; ?>
                            </figure>
                        <?php endif; ?>
                        <?php endwhile;  endif; wp_reset_query();?>
                </div>
                <!-- end portfolio items -->
            </div>
            <!-- end container -->
        </section>
        <!-- end wrap portfolio -->
    </div>
    <!-- end container -->
<?php get_footer(); ?>