<?php
/**
 * Template Name: Template Contact
 */
 // send contact
if (isset($_POST['contact'])) {
    $error = ale_send_contact($_POST['contact']);
}
get_header(); ?>
    <section class="heading-container">
        <div class="heading">
            <div class="wrap-pagination">
                <div class="container">
                    <nav class="pagination">
                        <?php echo get_breadcrumbs(); ?>
                    </nav>
                    <!-- end pagination -->

                    <div class="pagination-arrow">&larr;</div>
                </div>
                <!-- end container -->
            </div>
            <!-- end pagination container -->

            <div class="container">
                <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>

                <h1 class="heading__title"><?php wp_title("", true); ?></h1>
                <div class="heading__sub-title"><?php echo ale_get_meta('contactdesc'); ?></div>

                <p><?php echo ale_get_meta('contacttext'); ?></p>

                <a href="<?php echo ale_get_option('blogurl'); ?>" class="btn"><?php echo ale_get_option('blogname'); ?></a>
            </div>
            <!-- end container -->
        </div>
        <!-- end heading -->
    </section>
    <!-- end heading container -->

    <div class="contact">
        <?php if(ale_get_meta('mapcontact') != "off"): ?>
            <div class="contact-map">
                <a href="#" class="contact-btn-toggle"><?php _e('F<br>o<br>r<br>m','aletheme'); ?></a>
                <?php $adre = ale_get_meta('contactscity') . ale_get_meta('contactsaddress'); echo do_shortcode('[ale_map address="'.$adre.'" width="100%" height="728px"]'); ?>
                <div class="container">
                    <div class="wrap-container cf">
                        <div class="contact-info">
                            <h2 class="contact-title"><?php echo ale_get_meta('contacttitle'); ?></h2>

                            <?php if(ale_get_meta('contactphone1') || ale_get_meta('contactphone2')): ?>
                                <div class="contact-info__item">
                                    <i class="contact-info__icon contact-info__icon_phone"></i>
                                    <?php echo ale_get_meta('contactphone1'); ?><br>
                                    <?php echo ale_get_meta('contactphone2'); ?>
                                </div>
                                <!-- end contact info item -->
                            <?php endif; ?>

                            <?php if(ale_get_meta('contactemail')): ?>
                                <div class="contact-info__item">
                                    <i class="contact-info__icon contact-info__icon_email"></i>
                                    <?php echo ale_get_meta('contactemail'); ?>
                                </div>
                                <!-- end contact info item -->
                            <?php endif; ?>

                            <?php if(ale_get_meta('contactskype')): ?>
                                <div class="contact-info__item">
                                    <i class="contact-info__icon contact-info__icon_skype"></i>
                                    <?php echo ale_get_meta('contactskype'); ?>
                                </div>
                                <!-- end contact info item -->
                            <?php endif; ?>

                            <?php if(ale_get_meta('contactsfacebook')): ?>
                                <div class="contact-info__item">
                                    <i class="contact-info__icon contact-info__icon_facebook"></i>
                                    <?php echo ale_get_meta('contactsfacebook'); ?>
                                </div>
                                <!-- end contact info item -->
                            <?php endif; ?>

                            <?php if(ale_get_meta('contactsaddress') || ale_get_meta('contactscity') || ale_get_meta('contactscountry')): ?>
                                <div class="contact-info__item">
                                    <?php echo ale_get_meta('contactsaddress'); ?><br>
                                    <?php echo ale_get_meta('contactscity'); ?><br>
                                    <?php echo ale_get_meta('contactscountry'); ?>
                                </div>
                                <!-- end contact info item -->
                            <?php endif; ?>
                        </div>
                        <!-- end contact info -->

                        <form action="<?php the_permalink();?>" method="post" class="contact-form">
                            <h2 class="contact-title"><?php _e('Feedback form','aletheme'); ?></h2>
                            <?php if (isset($_GET['success'])) : ?>
                                <p class="success"><?php _e('Thank you for your message!', 'aletheme')?></p>
                            <?php endif; ?>
                            <?php if (isset($error) && isset($error['msg'])) : ?>
                                <p class="error"><?php echo $error['msg']?></p>
                            <?php endif; ?>
                            <input type="text" name="contact[name]" placeholder="<?php _e('Name:', 'aletheme')?>" value="<?php echo isset($_POST['contact']['name']) ? $_POST['contact']['name'] : ''?>" required>
                            <input type="email" name="contact[email]" placeholder="<?php _e('E-mail:', 'aletheme')?>" value="<?php echo isset($_POST['contact']['email']) ? $_POST['contact']['email'] : ''?>" required>
                            <textarea name="contact[message]" placeholder="<?php _e('Message:', 'aletheme')?>" required><?php echo isset($_POST['contact']['message']) ? $_POST['contact']['message'] : ''?></textarea>
                            <button type="submit" class="btn"><?php _e('Submit','aletheme'); ?></button>
                            <?php wp_nonce_field() ?>
                        </form>
                        <!-- end contact form -->
                    </div>
                    <!-- end wrap container -->
                </div>
                <!-- end container -->
            </div>
            <!-- end contact map -->
        <?php endif; ?>

        <?php if(ale_get_meta('tabscontact') != "off"): ?>
            <section class="wrap-team tabs tabs_second-type cf">
                <div class="container">
                    <?php
                    $post_per_page = ale_get_meta('tabscount');
                    wp_reset_query(); query_posts(array('posts_per_page' => $post_per_page, 'post_type' => 'team'));
                    $count_tab = 0; ?>
                    <ul class="people cf">
                        <?php if (have_posts()) : while (have_posts()) : the_post(); $count_tab++; ?>
                            <li class="people__item">
                                <a href="#tab-<?php echo $count_tab; ?>">
                                    <figure class="person">
                                        <div class="person__thumb">
                                            <?php
                                            if(get_the_post_thumbnail($post->ID,'team-thumba')){
                                                echo get_the_post_thumbnail($post->ID,'team-thumba');
                                            } else{
                                                echo '<img src="http://placehold.it/82x82/f6f4f2/221c1a&amp;text=No+image" alt>';
                                            }
                                            ?>
                                        </div>
                                        <!-- end person thumb -->

                                        <figcaption class="person__content">
                                            <h2 class="person__name"><?php the_title();?></h2>
                                            <div class="person__post"><?php echo ale_get_meta('teamlabel'); ?></div>
                                        </figcaption>
                                        <!-- end person content -->
                                    </figure>
                                    <!-- end person -->
                                </a>
                                <!-- end tab -->
                            </li>
                            <!-- end people item -->
                        <?php endwhile;  endif; wp_reset_query();?>
                    </ul>
                    <!-- end people -->

                    <?php
                    wp_reset_query(); query_posts(array('posts_per_page' => $post_per_page, 'post_type' => 'team'));
                    $count_tab = 0; ?>
                    <?php $count_tab = 0; if (have_posts()) : while (have_posts()) : the_post(); $count_tab++; ?>
                        <div id="tab-<?php echo $count_tab; ?>" class="person-more">
                            <header class="person-more__header">
                                <h2 class="person-more__name"><?php echo ale_get_meta('teamtitle'); ?></h2>
                                <h2 class="person-more__post"><?php echo ale_get_meta('teamlabel'); ?></h2>
                            </header>
                            <!-- end person details header -->

                            <div class="person-more__content">
                                <?php the_content(); ?>
                            </div>
                            <!-- end person details content -->

                            <footer class="person-more__footer">
                                <div class="person-contacts">
                                    <h3 class="person-contacts__title"><?php _e('My contacts','aletheme'); ?></h3>
                                    <div class="person-contacts__list">
                                        <div class="person-contacts__col">
                                            <?php if(ale_get_meta('teamemail')): ?>
                                                <div class="person-contacts__item">
                                                    <i class="person-contacts__icon person-contacts__icon_email"></i>
                                                    <?php echo ale_get_meta('teamemail'); ?>
                                                </div>
                                            <?php endif; ?>

                                            <?php if(ale_get_meta('teamphone')): ?>
                                                <div class="person-contacts__item">
                                                    <i class="person-contacts__icon person-contacts__icon_phone"></i>
                                                    <?php echo ale_get_meta('teamphone'); ?>
                                                </div>
                                            <?php endif; ?>
                                        </div>

                                        <div class="person-contacts__col">
                                            <?php if(ale_get_meta('teamskype')): ?>
                                                <div class="person-contacts__item">
                                                    <i class="person-contacts__icon person-contacts__icon_skype"></i>
                                                    <?php echo ale_get_meta('teamskype'); ?>
                                                </div>
                                            <?php endif; ?>

                                            <?php if(ale_get_meta('teamsfacebook')): ?>
                                                <div class="person-contacts__item">
                                                    <i class="person-contacts__icon person-contacts__icon_social"></i>
                                                    <?php echo ale_get_meta('teamsfacebook'); ?>
                                                </div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <!-- end person contacts -->

                                <div class="social">
                                    <a href="<?php echo ale_get_share('twi'); ?>" onclick="window.open(this.href, 'Share on Facebook', 'width=600,height=300'); return false" class="social-btn social-btn_twitter">Twitter</a>
                                    <a href="<?php echo ale_get_share('trumblr'); ?>" onclick="window.open(this.href, 'Share on Trumblr', 'width=600,height=300'); return false" class="social-btn social-btn_tumblr">Trumblr</a>
                                    <a href="<?php echo ale_get_share('fb'); ?>" onclick="window.open(this.href, 'Share on Facebook', 'width=600,height=300'); return false" class="social-btn social-btn_facebook">Facebook</a>
                                </div>
                                <!-- edn social -->

                                <a href="mailto:<?php echo ale_get_meta('hontactstabsemail1'); ?>" class="write-btn float-left">
                                    <i class="wrtite-btn__icon"></i>
                                    <?php _e('Write me a letter','aletheme'); ?>
                                </a>
                                <!-- end write btn -->
                            </footer>
                            <!-- end person details footer -->
                        </div>
                        <!-- end person more -->
                    <?php endwhile;  endif; wp_reset_query();?>
                </div>
                <!-- end container -->
            </section>
            <!-- end wrap team -->
        <?php endif; ?>
    </div>
    <!-- end contact -->
<?php get_footer(); ?>