<?php
/**
 * The template for displaying product category thumbnails within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product_cat.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

// Increase loop count
$woocommerce_loop['loop']++;
?>
<figure class="shop-item post">
    <?php
        if($woocommerce_loop['loop'] == 1 ||
            $woocommerce_loop['loop'] == 3 ||
            $woocommerce_loop['loop'] == 7 ||
            $woocommerce_loop['loop'] == 8 ||
            $woocommerce_loop['loop'] == 9 ||
            $woocommerce_loop['loop'] == 11 ||
            $woocommerce_loop['loop'] == 15 ||
            $woocommerce_loop['loop'] == 16){
            $product_cat_size = 'product_cat_2';
        }elseif($woocommerce_loop['loop'] == 2 ||
            $woocommerce_loop['loop'] == 10){
            $product_cat_size = 'product_cat_1';
        }elseif($woocommerce_loop['loop'] == 5 ||
            $woocommerce_loop['loop'] == 6 ||
            $woocommerce_loop['loop'] == 13 ||
            $woocommerce_loop['loop'] == 14){
            $product_cat_size = 'product_cat_3';
        }elseif($woocommerce_loop['loop'] == 4 ||
            $woocommerce_loop['loop'] == 12){
            $product_cat_size = 'product_cat_4';
        } else{
            $product_cat_size = 'product_cat_2';
        }
    $small_thumbnail_size  	= apply_filters( 'single_product_small_thumbnail_size', $product_cat_size );
    $dimensions    			= wc_get_image_size( $small_thumbnail_size );
    $thumbnail_id  			= get_woocommerce_term_meta( $category->term_id, 'thumbnail_id', true  );

    if ( $thumbnail_id ) {
        $image = wp_get_attachment_image_src( $thumbnail_id, $small_thumbnail_size  );
        $image = $image[0];
    } else {
        $image = wc_placeholder_img_src();
    }

    if ( $image ) {
        // Prevent esc_url from breaking spaces in urls for image embeds
        // Ref: http://core.trac.wordpress.org/ticket/23605
        $image = str_replace( ' ', '%20', $image );

        echo '<img src="' . esc_url( $image ) . '" alt="' . esc_attr( $category->name ) . '" width="' . esc_attr( $dimensions['width'] ) . '" height="' . esc_attr( $dimensions['height'] ) . '" />';
    } else{
        echo '';
    }
    ?>

    <div class="shop-item__entry">
        <h1 class="shop-item__title"><?php echo $category->name; ?></h1>
        <div class="shop-item__descr">
            <?php
            $cat_id = $category->term_id;
            $prod_term = get_term($cat_id,'product_cat');
            $description = $prod_term->description;
            echo $description;
            ?>
        </div>
    </div>
    <!-- end shop item enry -->

    <figcaption class="wrap-overlay-layer wrap-overlay-layer_content">
        <div class="overlay-layer">
            <div class="ins-overlay-layer">
                <div class="overlay-content">
                    <?php if($woocommerce_loop['loop'] != 2 && $woocommerce_loop['loop'] != 10): ?>
                        <div class="fashion-style"><?php echo ale_get_option('firstlabel'); ?></div>
                    <?php endif; ?>
                    <h1 class="overlay-content__title">
                        <?php echo $category->name; ?>
                    </h1>
                    <a href="<?php echo get_term_link( $category->slug, 'product_cat' ); ?>" class="btn"><?php _e('See the catalog','aletheme'); ?></a>
                </div>
            </div>
        </div>
    </figcaption>
    <!-- end wrap overlay layer -->
</figure>
<!-- end shop item -->
